Name:           perl-Net-Works
Version:        0.22
Release:        5%{?dist}
Summary:        API for IP addresses and networks
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-Works
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MAXMIND/Net-Works-%{version}.tar.gz
BuildArch:      noarch
# Math::Int128 is not available on 32-bit platforms, bugs #1871738, #1871739.
ExcludeArch:    %{arm32} %{ix86}
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.10
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(integer)
BuildRequires:  perl(List::AllUtils)
BuildRequires:  perl(Math::Int128) >= 0.06
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(namespace::autoclean) >= 0.16
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Socket) >= 1.99
BuildRequires:  perl(Sub::Quote)
# Tests:
BuildRequires:  perl(B)
# blib not used
BuildRequires:  perl(File::Spec)
# IO::Handle not used
# IPC::Open3 not used
BuildRequires:  perl(Math::BigInt)
# parent not used
# Pod::Coverage::Moose not used
# Pod::Coverage::TrustPod not used
# Pod::Wordlist not used
# Test::Code::TidyAll not used
# Test::CPAN::Changes not used
# Test::EOL not used
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
# Test::NoTabs not used
# Test::Pod not used
# Test::Pod::Coverage not used
# Test::Spelling not used
# Test::Synopsis not used
# Test::Version not used
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
The NetAddr::IP module is very complete, correct, and useful. However, its
API design is a bit crufty. This package provides an alternative API that
aims to address the biggest problems with that module's API, as well as
adding some additional features.

%prep
%setup -q -n Net-Works-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset AUTHOR_TESTING RELEASE_TESTING
make test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.22-3
- Perl 5.34 rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 10 2020 Petr Pisar <ppisar@redhat.com> 0.22-1
- Specfile autogenerated by cpanspec 1.78.
